#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 34. GNOME Applications

- Prev

  gnome-system-monitor-3.38.0

- Next

  gnome-tweaks-3.34.1

- Up
- Home

# gnome-terminal-3.38.3

## Introduction to GNOME Terminal

The GNOME Terminal package contains the terminal emulator for GNOME Desktop.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-terminal/3.38/gnome-terminal-3.38.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-terminal/3.38/gnome-terminal-3.38.3.tar.xz

- Download MD5 sum: cef7deb6780f493a4c510cef3984c34f

- Download size: 2.5 MB

- Estimated disk space required: 43 MB

- Estimated build time: 0.1 SBU (using parallelism=4)

### GNOME Terminal Dependencies

#### Required

DConf-0.38.0, gnome-shell-3.38.3, gsettings-desktop-schemas-3.38.0, itstool-2.0.6, pcre2-10.36, and VTE-0.62.3

#### Recommended

gnome-shell-3.38.3 and Nautilus-3.38.2

#### Optional

desktop-file-utils-0.26, and appstream-glib

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gnome-terminal

## Installation of GNOME Terminal

Install GNOME Terminal by running the following commands:

    ./configure --prefix=/usr       \
                --disable-static    &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

To run GNOME Terminal, the environment variable `LANG` must be set to a UTF-8 locale prior to starting the graphical environment.

## Command Explanations

`--disable-search-provider`: This switch disables the “search gnome-shell” provider. Use this option if you do not have gnome-shell installed.

`--without-nautilus-extension`: This switch disables a dependency on the nautilus file manager. Use this option if you do not have Nautilus installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: gnome-terminal
Installed Libraries: /usr/lib/nautilus/extensions-3.0/libterminal-nautilus.so (Nautilus Extension)
Installed Directories: /usr/share/help/*/gnome-terminal

### Short Descriptions

gnome-terminal | is the GNOME Terminal Emulator

Last updated on 2021-02-25 11:57:49 -0800

- Prev

  gnome-system-monitor-3.38.0

- Next

  gnome-tweaks-3.34.1

- Up
- Home